# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.docs
Enum ExportStatus.Value

    java.lang.Object
      java.lang.Enum<ExportStatus.Value>
          com.google.gdata.data.docs.ExportStatus.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ExportStatus.Value>

Enclosing class:
  ExportStatus

    public static enum ExportStatus.Value

extends java.lang.Enum<ExportStatus.Value>

Value.

Enum Constant Summary
`FAILED` Failed export status.
`FINISHED` Finished export status.
`ONGOING` Ongoing export status.

Method Summary
`static ExportStatus.Value` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ExportStatus.Value[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FAILED

    public static final ExportStatus.Value FAILED

  Failed export status.

### FINISHED

    public static final ExportStatus.Value FINISHED

  Finished export status.

### ONGOING

    public static final ExportStatus.Value ONGOING

  Ongoing export status.

Method Detail

### values

    public static ExportStatus.Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExportStatus.Value c : ExportStatus.Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExportStatus.Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null